Subject: Re: [REGRESSION] uninitialized value $address in git send-email

From: Junio C Hamano <[email-masked]>
Date: Thu, 21 Sep 2023 13:42:55 -0700

Bagas Sanjaya <[email-masked]> writes:

> On 20/09/2023 22:43, Junio C Hamano wrote:
>> Bagas Sanjaya <[email-masked]> writes:
>> 
>>> Originally, I was intended to report regression on handling multiple
>>> addresses passed in a single --to/--cc/--bcc option.
>> 
>> You refer to v2.40 and v2.41 in the message I am responding to, but
>> do you have a bisection?  There seem to have been five topics around
>> send-email during that timeperiod.
>> 
>>  $ git log --oneline --first-parent v2.40.0..v2.41.0 git-send-email.perl
>>  b04671b638 Merge branch 'jc/send-email-pre-process-fix'
>>  64477d20d7 Merge branch 'mc/send-email-header-cmd'
>>  b6e9521956 Merge branch 'ms/send-email-feed-header-to-validate-hook'
>>  c4c9d5586f Merge branch 'rj/send-email-validate-hook-count-messages'
>>  647a2bb3ff Merge branch 'jc/spell-id-in-both-caps-in-message-id'
>
> I'll make one on the separate report.

Alright.  The next task from your end may be to see if you can
bisect to find which topic broke your expectation.

Thanks.